Bug 438658 - (CVE-2008-1098) CVE-2008-1098: moin multiple XSS issues
CVE-2008-1098: moin multiple XSS issues
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 438672 438673 438674
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 04:38 EDT by Ville Skyttä
Modified: 2009-04-15 22:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 22:57:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2008-03-24 04:38:49 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-1098

"Multiple cross-site scripting (XSS) vulnerabilities in MoinMoin 1.5.8 and
earlier allow remote attackers to inject arbitrary web script or HTML via (1)
certain input processed by formatter/text_gedit.py (aka the gui editor
formatter); (2) a page name, which triggers an injection in PageEditor.py when
the page is successfully deleted by a victim in a DeletePage action; or (3) the
destination page name for a RenamePage action, which triggers an injection in
PageEditor.py when a victim's rename attempt fails because of a duplicate name."

F-7, F-8, EPEL-4 and EPEL-5 have 1.5.8 in CVS.  Should be fixed upstream in
1.5.9, links to fixes at http://moinmo.in/SecurityFixes
Comment 2 Fedora Update System 2008-04-24 09:55:36 EDT
moin-1.5.9-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-24 09:56:09 EDT
moin-1.5.9-1.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-04-29 16:49:43 EDT
moin-1.5.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-04-29 16:52:20 EDT
moin-1.5.9-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Ville-Pekka Vainio 2009-04-15 19:03:22 EDT
I've taken over as the new moin maintainer. This bug could probably be closed, as 1.5.9 or higher is in all active branches?
Comment 7 Vincent Danen 2009-04-15 22:57:40 EDT
Yes, you're right.  I'll close it.

Note You need to log in before you can comment on or make changes to this bug.